graphics/barcode - The NetBSD Packages Collection

Create bar codes as EPS (program and library)

The package is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Output is generated as either Postscript or
Encapsulated Postscript (other back-ends may be added if needed).

The package is released as both a library and a command-line frontend,
so that you can include barcode-generation into your application.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfbarcode-0.99.tgz
NetBSD 8.0earmv7hfbarcode-0.99.tgz
NetBSD 8.0earmv7hfbarcode-0.99.tgz
NetBSD 8.0i386barcode-0.99.tgz
NetBSD 8.0i386barcode-0.99.tgz
NetBSD 8.0powerpcbarcode-0.99.tgz
NetBSD 8.0powerpcbarcode-0.99.tgz
NetBSD 8.0powerpcbarcode-0.99.tgz
NetBSD 8.0powerpcbarcode-0.99.tgz
NetBSD 8.0x86_64barcode-0.99.tgz
NetBSD 8.0x86_64barcode-0.99.tgz
NetBSD 9.0aarch64barcode-0.99.tgz
NetBSD 9.0aarch64barcode-0.99.tgz
NetBSD 9.0aarch64barcode-0.99.tgz
NetBSD 9.0alphabarcode-0.99.tgz
NetBSD 9.0alphabarcode-0.99.tgz
NetBSD 9.0alphabarcode-0.99.tgz
NetBSD 9.0earmbarcode-0.99.tgz
NetBSD 9.0earmbarcode-0.99.tgz
NetBSD 9.0earmbarcode-0.99.tgz
NetBSD 9.0earmv6hfbarcode-0.99.tgz
NetBSD 9.0earmv6hfbarcode-0.99.tgz
NetBSD 9.0earmv6hfbarcode-0.99.tgz
NetBSD 9.0earmv7hfbarcode-0.99.tgz
NetBSD 9.0earmv7hfbarcode-0.99.tgz
NetBSD 9.0earmv7hfbarcode-0.99.tgz
NetBSD 9.0earmv7hfbarcode-0.99.tgz
NetBSD 9.0i386barcode-0.99.tgz
NetBSD 9.0i386barcode-0.99.tgz
NetBSD 9.0i386barcode-0.99.tgz
NetBSD 9.0mips64ebbarcode-0.99.tgz
NetBSD 9.0mips64ebbarcode-0.99.tgz
NetBSD 9.0mips64ebbarcode-0.99.tgz
NetBSD 9.0mips64ebbarcode-0.99.tgz
NetBSD 9.0mips64ebbarcode-0.99.tgz
NetBSD 9.0powerpcbarcode-0.99.tgz
NetBSD 9.0powerpcbarcode-0.99.tgz
NetBSD 9.0powerpcbarcode-0.99.tgz
NetBSD 9.0powerpcbarcode-0.99.tgz
NetBSD 9.0sparc64barcode-0.99.tgz
NetBSD 9.0sparc64barcode-0.99.tgz
NetBSD 9.0sparc64barcode-0.99.tgz
NetBSD 9.0sparcbarcode-0.99.tgz
NetBSD 9.0sparcbarcode-0.99.tgz
NetBSD 9.0sparcbarcode-0.99.tgz
NetBSD 9.0sparcbarcode-0.99.tgz
NetBSD 9.0x86_64barcode-0.99.tgz
NetBSD 9.0x86_64barcode-0.99.tgz
NetBSD 9.0x86_64barcode-0.99.tgz
NetBSD 9.0x86_64barcode-0.99.tgz
NetBSD 9.0x86_64barcode-0.99.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.